Foreman - Feature #31240

Feature # 30440 (Closed): Simple & automatic host registration WF
Feature # 31807 (Closed): Host Registration - Ul Form improvements

New Host Registration Form

11/03/2020 09:15 AM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Leos Stejskal
Category: Host registration
Target version:
Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8419,
https://github.com/theforeman/foreman/p
ull/8467,
https://github.com/theforeman/foreman/p
ull/8469,
https://github.com/theforeman/foreman/p
ull/8471,
https://github.com/theforeman/foreman/p
ull/8618
Description

New Features

e general & advanced fields
¢ Two plugin extension points: General fields & advanced fields

Updated fields

Taxonomies
e can be changed in the form
¢ changing taxonomies will reload form data (
e Required field, can’t select ANY option
Host Group
e TODO: Make clear what it does
Operating System

e When OS selected: show link to Reg. template or show error with link to OS edit
¢ Added help to label

Proxy
¢ Instead of empty value show "No proxy, use Foreman URL" (or something like that)
Setup Insights | Rex

¢ New simple logic: Inherit value (with actual value of parameter), enforce yes & enforce false
¢ Moved to advanced fields

¢ Yes/No in Inherit value is defined by selected Organization, Location, Host Group or Operating System.

Token Lifetime
e Moved to advanced fields
¢ Added validation (>= 1 && <= 999 999 999)

Insecure
No changes

Associated revisions

Revision 7f25f394 - 04/23/2021 10:18 AM - Leos Stejskal
Fixes #31240 - New Host Registration Form (#8419)
Completely in React, with router & PF4 components
Divided into two tabs: General fields & Advanced Fields

Slots for extending form fields (general / advanced)
Form can be submitted only if there are no invalid fields

Related plugin extensions:
Katello/katello#9249
theforeman/foreman_remote_execution#574

Changes:

e Organization & Location can be changed in the Form
changing ORG/LOC will fetch new data and reset form fields (HostGroup, OS & Smart Proxy)
Reset of fields from plugins is handled by plugins.

e Host group
If selected, following fields inherit the value from selected host group: Operating System, Activation Keys & Life Cycle Environment
Selecting HG resets OS field

e Operating System
When selected, show info about assigned host_init_config template.
If template is not found, show error and block form
Setup Remote Execution & Setup Insights
¢ Yes/No value in default options Inherit from Host parameter is delivered from selected organization, location host group and operating system.
The chain of getting value is:

organization -> location -> operatingsystem -> hostgroup

e Packages (new field)
Install packages after the host registration

¢ Repository & Repository GPG (new fields)

e Token Life Time
Can be set to unlimited, otherwise value validated as: >= 1 && <= 999 999

Revision 4¢c38b809 - 04/25/2021 06:41 PM - Ron Lavi

Refs #31240 - fix ExclamationCirclelcon import

Revision 4b36fac6 - 04/25/2021 06:41 PM - Ron Lavi

Refs #31240 - fix more lint issues

Revision 224359 - 04/26/2021 12:50 PM - Leos Stejskal

refs #31240 - Revert lint changes from previous fix (#8469)
Changes in commit 4b36fac [0] cause bug in registration form,
selecting host group with OS doesn't work anymore and
loading host_init_config template doesn't work too.

[0] https://github.com/theforeman/foreman/commit/4b36fac6692a5tbae38d647eceeOe3ee5d0a7c59

Revision ea45843b - 04/28/2021 08:52 AM - Leos Stejskal

refs #31240 - Fix 'Register host' button on Host welcome page

History

#1 - 11/03/2020 09:55 AM - Leos Stejskal
https://github.com/theforeman/foreman/commit/4b36fac6692a5fbae38d647ecee0e3ee5d0a7c59

Activation keys docs: https://access.redhat.com/blogs/1169563/posts/2867891

#2 - 11/04/2020 07:54 AM - Leos Stejskal
- Description updated

#3 - 02/04/2021 03:50 PM - Leos Stejskal

- Subject changed from Global Registration Template - Multiple activation keys to Support Multiple activation keys
- Description updated

- Category set to Host registration

- Parent task changed from #30440 to #31807

#4 - 02/04/2021 03:56 PM - Leos Stejskal
- Tracker changed from Bug to Feature
- Subject changed from Support Multiple activation keys to Registration Form Ul enhancements

- Description updated

#5 - 02/04/2021 03:59 PM - Leos Stejskal
- Related to Feature #31809: Host Registration - Activation key field improvement added

#6 - 02/04/2021 04:07 PM - Leos Stejskal
- Related to Bug #31810: Global Registration: Unable to re-register with satellite using the Curl Command added

#7 - 02/04/2021 04:13 PM - Leos Stejskal
- Related to deleted (Feature #31809: Host Registration - Activation key field improvement)

#8 - 02/04/2021 04:13 PM - Leos Stejskal
- Related to deleted (Bug #31810: Global Registration: Unable to re-register with satellite using the Curl Command)

#9 - 02/04/2021 04:18 PM - Leos Stejskal
- Description updated

- Assignee set to Leos Stejskal

#10 - 02/04/2021 04:24 PM - Leos Stejskal
- Subject changed from Registration Form Ul enhancements to Registration Form - React way & UX improvements

- Description updated

#11 - 02/05/2021 11:32 AM - Leos Stejskal

- Description updated

#12 - 03/18/2021 09:16 AM - Leos Stejskal

- Subject changed from Registration Form - React way & UX improvements to React way & UX improvements

#13 - 03/29/2021 09:48 AM - Leos Stejskal

- Subject changed from React way & UX improvements to New Host Registration Form

#14 - 03/30/2021 08:47 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8419 added

#15 - 04/23/2021 10:18 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#16 - 04/23/2021 11:01 AM - Leos Stejskal
- Status changed from Ready For Testing to Closed
https://access.redhat.com/blogs/1169563/posts/2867891

Applied in changeset foreman|7f25f3941f2a96240841aeb0903c46c28da8b212.

#17 - 04/25/2021 11:16 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8467 added

#18 - 04/26/2021 07:12 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8469 added

#19 - 04/27/2021 11:24 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8471 added

#20 - 07/04/2021 07:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8618 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7f25f3941f2a96240841aeb0903c46c28da8b212
